import { HID } from "node-hid";
import { IMessagePort } from "./hid-messageport";
export declare class HidContainer {
    protected readonly devicePath: string;
    protected readonly messagePort: IMessagePort;
    protected readonly device: HID;
    constructor(devicePath: string, messagePort: IMessagePort);
    init(): void;
    protected onMessage(data: any): void;
}
