"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const hid_container_1 = require("./hid-container");
// tslint:disable-next-line:no-var-requires
const { parentPort } = require("worker_threads");
const containers = new Map();
parentPort.on("message", (msg) => {
    if (!msg.p && msg.t === "n" && typeof msg.d === "string" && !containers.has(msg.d)) {
        const hid = new hid_container_1.HidContainer(msg.d, parentPort);
        containers.set(msg.d, hid);
        hid.init();
    }
    else if (!msg.p && msg.t === "d") {
        Promise.resolve().then(() => __importStar(require("node-hid"))).then((hid) => {
            parentPort.postMessage({ t: "d", d: hid.devices() });
        });
    }
});
//# sourceMappingURL=hid-worker.js.map