declare const symListeners: unique symbol;
export declare const emit: unique symbol;
export declare abstract class EventEmitter {
    static readonly emitSymbol: symbol;
    private readonly [symListeners];
    on(event: string, cb: (arg: any) => any): this;
    once(event: string, cb: (arg: any) => any): this;
    off(event: string, cb: (arg: any) => any): this;
    protected [emit](event: string, arg?: any): number;
}
export {};
